Opened 10 years ago

Closed 7 years ago

#1083 closed defect (fixed)

Wingrass7 - versioned libgrass needed for start, unversioned libgrass needed for wxnviz

Reported by: hellik Owned by: grass-dev@…
Priority: normal Milestone: 7.0.0
Component: Packaging Version: svn-trunk
Keywords: wingrass, wxnviz, libgrass Cc: martinl
CPU: x86-32 Platform: MSWindows Vista

Description

from the dev-ml (http://lists.osgeo.org/pipermail/grass-dev/2010-June/050750.html)

>-----Ursprüngliche Nachricht-----
>Von: Martin Landa 
>Gesendet: 05.06.2010 23:58:48
>An: Hamish 
>Betreff: Re: [GRASS-dev] WinGrass65 + import gui_modules.nviz_tools as  nviz_tools: ImportError
>
>Hi,
>
>2010/6/5 Hamish 
>> I haven't been paying too much attention, but it would seem to me that if
>> you are moving libraries out of the private $GISBASE tree and into the
>> public osgeo4w lib dir, removing the versioning from the files is the last
>> thing you'd want to do.
>
>Helmut is trying to do the opposite thing. He is moving grass libs
>from public osgeo4w lib dir into the private $GISBASE tree. It's quite
>reasonable approach for WinGRASS installer.

I will revert r42490, because WinGrass7 (from the WinGrass-installer) seems to need versioned libgrass_*.7.0.svn.dll in C:\Program Files\GRASS-70-SVN\extralib for 
starting and unversioned libgrass_*.dll C:\Program Files\GRASS-70-SVN\lib for 
wxnviz. with r42490 WinGrass7 isn't starting, with reverted r42490 WinGrass7 is 
starting but wxnviz (3D view mode) isn't working.

I will open a ticket because a duplication of files should be avoided.


Change History (2)

comment:1 Changed 10 years ago by martinl

Cc: martinl added

comment:2 in reply to:  description Changed 7 years ago by hellik

Resolution: fixed
Status: newclosed

Replying to hellik:

from the dev-ml (http://lists.osgeo.org/pipermail/grass-dev/2010-June/050750.html)

closing ticket, wingrass7 starts and wxnviz works.

reopen if needed.

Note: See TracTickets for help on using tickets.